services:
  windows:
    image: dockurr/windows:5.14
    container_name: ${CONTAINER_NAME}
    environment:
      VERSION: ${VERSION}
      RAM_SIZE: ${RAM_SIZE}
      CPU_CORES: ${CPU_CORES}
      DISK_SIZE: ${DISK_SIZE}
      USERNAME: ${USERNAME}
      PASSWORD: ${PASSWORD}
      LANGUAGE: ${LANGUAGE}
      REGION: ${KEYBOARD_LAYOUT}
      KEYBOARD: ${KEYBOARD_LAYOUT}
    ports:
      - ${PANEL_APP_PORT_HTTP}:8006
    devices:
      - /dev/kvm
      - /dev/net/tun
    cap_add:
      - NET_ADMIN
    volumes:
      - ./data:/storage
    restart: always
    networks:
      - opsmind-network
    labels:
      createdBy: "Apps" 
networks:
  opsmind-network:
    external: true


